import bb.cascades 1.0

Page {
    id: aboutPage
    signal back()
    titleBar: TitleBar {
        visibility: ChromeVisibility.Overlay
        title: "About"
        dismissAction: ActionItem {
            title: "Back"
            onTriggered: {
                aboutPage.back();
            }
        }
    }
    actionBarVisibility: ChromeVisibility.Overlay
    actions: [
        InvokeActionItem {
            ActionBar.placement: ActionBarPlacement.OnBar
            title: "Share"
            query {
                mimeType: "text/plain"
                invokeActionId: "bb.action.SHARE"
                data: "Check out SoundNine, a great SoundCloud app for BlackBerry! Get it on BlackBerry World - http://bit.ly/18lUyy9"
            }
        },
        InvokeActionItem {
            imageSource: "asset:///images/twitter.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            title: "Follow Us"
            query {
                mimeType: "text/plain"
                invokeActionId: "bb.action.OPEN"
                uri: "http://bit.ly/14h8Yxm"
            }
        }
        //thanksDialog text: "Thank you for downloading SoundNine! If you enjoy using the app, please consider leaving us a rating on Blackberry World. Also, we would love to hear any feedback or feature requests that you have! You can contact us at domisydev@gmail.com."    
    ]
    Container {
        layout: DockLayout {

        }
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        ImageView {
            minHeight: 1440
            minWidth: 1440
            imageSource: "asset:///images/aboutScreen/background.png"
            scalingMethod: ScalingMethod.Fill
        }
        Container {
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            bottomPadding: 500
            ImageView {
                imageSource: "asset:///images/aboutScreen/symbol.png"
            }
        }
        Container {
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            bottomPadding: 0
            ImageView {
                imageSource: "asset:///images/aboutScreen/title.png"
            }
        }
        Container {
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            topPadding: 600
            layout: StackLayout {
            }
            Label {
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                id: versionLabel
                textStyle.fontSize: FontSize.XLarge
                textStyle.color: Color.White
                //text: "v0.1.0.0"
                text: "v" + app.getVersion()
            }
            Label {
                content.flags:TextContentFlag.ActiveText
                multiline: true
                textStyle.textAlign: TextAlign.Center
                verticalAlignment: VerticalAlignment.Center
                textStyle.color: Color.White
                textStyle.fontStyle: FontStyle.Italic
                textStyle.fontSize: FontSize.Medium
                text: "©2013 Domisy Dev\n Developer - Theodore Mavrakis\nSupport - domisydev@gmail.com\nChannel - C002E1FFD"
            }
        }
    }
}
