import bb.cascades 1.0
import org.labsquare 1.0

Container {
    function themeStyleToString(style) {
        switch (style) {
            case VisualStyle.Bright:
                return "bright"
            case VisualStyle.Dark:
                return "dark"
        }
        return "dark"
    }
    
    onCreationCompleted: {
        if (themeStyleToString(Application.themeSupport.theme.colorTheme.style) == "bright") {
            background = Color.create("#D2D2D2")
        
        } else {
            background = Color.create("#ff202020")
        }
    
    }
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    
    layout: DockLayout {
    }
    Container {
        ImageView {
            imageSource: "asset:///images/noAlbumArtwork.png"
            scalingMethod: ScalingMethod.AspectFill
        }
    }
    Container {
        preferredHeight: maxHeight
        preferredWidth: maxWidth
        WebImageView {
            objectName: "albumArt"
            url: getLargeArtwork()
            scalingMethod: ScalingMethod.AspectFill
            function getLargeArtwork() {
                var thumbSize = nowPlaying.artwork_url;
                return thumbSize.replace("large", "t500x500")
            }
        }
    }
    Container {
        leftPadding: 25
        topPadding: 25
        Container {
            background: Color.create('#323232')
            leftPadding: 10
            rightPadding: 10
            Label {
                objectName: "artistLabel"
                text: "now playing..."
                //textStyle.fontSize: FontSize.Large
                textStyle.fontSizeValue: 8
                textStyle.fontSize: FontSize.PointValue
                textStyle.color: Color.LightGray
            }
        }
        Container {
            minHeight: 10
        }
        Container {
            leftPadding: 10
            rightPadding: 10
            background: Color.create('#323232')
            Label {
                objectName: "titleLabel"
                multiline: false
                text: "SoundNine"
                //textStyle.fontSize: FontSize.XLarge
                textStyle.fontSizeValue: 10
                textStyle.fontSize: FontSize.PointValue
                textStyle.color: Color.White
            }
        }
    }
}