import bb.cascades 1.0
import org.labsquare 1.0
import Network.FeedHttpCalls 1.0

Container {
    horizontalAlignment: HorizontalAlignment.Fill
    topMargin: 0
    id: feedItemContainer
    property string thumbnailUrl: ListItemData.comment.user.avatar_url

    Container {
        id: outer
        horizontalAlignment: HorizontalAlignment.Fill
        topPadding: 5
        bottomPadding: 5
        rightPadding: 5
        leftPadding: 5
        Container {
            id: inner
            horizontalAlignment: HorizontalAlignment.Fill
            topPadding: 15
            rightPadding: 10
            leftPadding: 10
            bottomPadding: 10
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            Container {
                WebImageView {
                    id: thumbnailView
                    preferredHeight: 150
                    preferredWidth: 150
                    minWidth: 150
                    scalingMethod: ScalingMethod.AspectFit
                    url: thumbnailUrl
                }
                touchPropagationMode: TouchPropagationMode.PassThrough
            }
            Container {
                leftPadding: 10
                //topPadding: 3.0

                Label {
                    id: userLabel
                    textStyle.fontSize: FontSize.Medium
                    textStyle.fontWeight: FontWeight.W600
                    text: ListItemData.comment.user.username
                    bottomMargin: 0
                    //rightMargin: 15
                }
                Label {
                    topMargin: 0
                    bottomMargin: 0
                    id: itemTitle
                    text: "\"" + ListItemData.comment.body + "\""
                    textStyle.fontSize: FontSize.Medium
                    multiline: true
                    touchPropagationMode: TouchPropagationMode.PassThrough
                }

                Container {
                    topPadding: 10
                    topMargin: 0
                    id: subtextContainer
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                 
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        topMargin: 0
                        id: commentCount
                        text: "on " + ListItemData.comment.track.title
                        textStyle.fontSize: FontSize.Small
                        textStyle.color: Color.DarkGray
                        rightMargin: 20
                    }
                }
            }
        }
    }
    Divider {
        topMargin: 0
        bottomMargin: 0
    }
    property variant blueBackground: Color.create("#00A7DD")
    gestureHandlers: [
        LongPressHandler {
            onLongPressed: {
                outer.background = blueBackground
                inner.background = blueBackground
            }
        }
    ]
    function themeStyleToString(style) {
        switch (style) {
            case VisualStyle.Bright:
                return Color.White
            case VisualStyle.Dark:
                return Color.Black
        }
        //return "Theme: UNKNOWN :("
        return Color.Black
    }
    onTouch: {
        if (event.touchType == TouchType.Down) {
            outer.background = blueBackground
            inner.background = themeStyleToString(Application.themeSupport.theme.colorTheme.style)
        } else if (event.touchType == TouchType.Up || event.touchType == TouchType.Cancel) {
            inner.background = Color.Transparent;
            outer.background = Color.Transparent;
        }
    }
}
