import bb.cascades 1.0

Sheet {
    id: loginSheet
    peekEnabled: false
    Page {
        id: loginPage
        Container {
            layout: DockLayout {
            }
            ImageView {
                id: backgroundImage
                imageSource: "asset:///images/login.png"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                scalingMethod: ScalingMethod.AspectFill
            }
            Container {
                id: iconContainer
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
                topPadding: 30
                leftPadding: 30
                ImageView {
                    id: icon
                    imageSource: "asset:///images/iconx114.png"
                }
                Label {
                    id: title
                    text: "SoundNine"
                    textStyle {
                        fontSize: FontSize.XXLarge
                        color: Color.White
                        fontWeight: FontWeight.W600
                    }
                }
            }
            Container {
                id: loginControlsContainer
                horizontalAlignment: HorizontalAlignment.Left
                verticalAlignment: VerticalAlignment.Bottom
                leftPadding: 15
                bottomPadding: 50
                Container {
                    id: labelsContainer
                    background: Color.create('#313131')
                    maxWidth: 525
                    Label {
                        id: loginLabel
                        text: "Hear the world's sounds"
                        multiline: true
                        horizontalAlignment: HorizontalAlignment.Left
                        textStyle {
                            textAlign: TextAlign.Left
                            color: Color.White
                            fontSize: FontSize.Large
                            fontWeight: FontWeight.W600
                        }
                    }
                    Label {
                        id: loginSubLabel
                        text: "Explore the largest community of artists, bands, podcasters and creators of music & audio"
                        multiline: true
                        horizontalAlignment: HorizontalAlignment.Left
                        textStyle {
                            textAlign: TextAlign.Left
                            color: Color.White
                        }
                    }
                }
                Container {
                    id: buttonContainer
                    topPadding: 50
                    ImageButton {
                        id: loginButton
                        defaultImageSource: "asset:///images/loginButton.png"
                        pressedImageSource: "asset:///images/loginButtonDepressed.png"
                        horizontalAlignment: HorizontalAlignment.Left
                        onClicked: {
                            app.loginSuccess.connect(loginSheet.onLoginSuccess);
                            app.invokeBrowser("https://soundcloud.com/connect?scope=non-expiring&client_id=" + app.getClientID() + "&response_type=code&redirect_uri=soundnine://login/&display=popup");
                        }
                    }
                }
            }
        }
    }
    function onLoginSuccess() {
        //loginPage.parent.pop();
        loggedIn = true;
        loginSheet.close();
        loginSheet.deleteLater();
    }
}