import bb.cascades 1.0
import org.labsquare 1.0
import Network.FeedHttpCalls 1.0
import Network.PostActions 1.0

Page {
    id: userListPage
    property bool allowAtEndSignal
    property string title
    property string userID
    //property string artworkUrl
    property string option
    titleBar: TitleBar {
        id: titleBar
        title: title
        kind: TitleBarKind.FreeForm
        scrollBehavior: TitleBarScrollBehavior.Sticky
        kindProperties: FreeFormTitleBarKindProperties {
            content: Container {
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
                background: Color.create("#FF6500")
                horizontalAlignment: HorizontalAlignment.Center
                Container {
                    topPadding: 25
                    leftPadding: 15
                    bottomPadding: 10
                    preferredWidth: maxWidth

                    Label {
                        text: title
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.White
                    }
                }
            }
        }
    }
    Container {
        layout: DockLayout {
        }
        ListView {
            scrollRole: ScrollRole.Main
            objectName: "feedList"
            id: feedList
            listItemComponents: [
                ListItemComponent {
                    id: peopleListItem
                    type: "user"
                    SearchPeopleListItem {

                    }
                }
            ] //ListItemComponents
            function itemType(data, indexPath) {
                /*if (currentItem.type == "footer") {
                    return "footer";
                }
              	else */return "user"
            }
            onDataModelChanged: {
                if (dataModel.size() <= 0) {
                    allowAtEndSignal = false;
                    emptyLabel.setVisible(true);
                } else {
                    allowAtEndSignal = true;
                    emptyLabel.setVisible(false);
                }
            }
            function pushPageStack(pageParam) {
                navPane3.push(pageParam);
            }
            onTriggered: {
                var selectedItem = dataModel.data(indexPath);
                var page = userView.createObject();
                page.userID = selectedItem.id;
                userListPage.parent.push(page);
            }

            attachedObjects: [
                ComponentDefinition {
                    id: userView
                    source: "UserView.qml"
                }
            ]
        }
        ActivityIndicator {
            objectName: "indicator"
            id: activity
            verticalAlignment: VerticalAlignment.Center
            horizontalAlignment: HorizontalAlignment.Center
            preferredWidth: 200
            preferredHeight: 200
        }
        Label {
            id: emptyLabel
            visible: false
            text: "there doesn't seem to be anything here"
            textStyle.color: Color.Red
            multiline: true
            verticalAlignment: VerticalAlignment.Center
            horizontalAlignment: HorizontalAlignment.Center
            leftMargin: 20
            rightMargin: 20
        }
    }
    attachedObjects: [
        FeedHttpCalls {
            id: feedHttp
        }
    ]
    onUserIDChanged: {
        feedHttp.getUserTracksAlt(userID, option, activity, feedList);
    }
}
